#!/bin/bash

primary=`xrandr | grep "primary"`
if [ "$primary" != "" ]; then
    current_width=`echo $primary | awk '{print $4}' | cut -d "+" -f 1 | cut -d "x" -f 1`
    current_height=`echo $primary | awk '{print $4}' | cut -d "+" -f 1 | cut -d "x" -f 2`
    current_resolution=$current_width"x"$current_height
    refresh_rate=`xrandr | grep $current_resolution | awk '{print $2}' | sed -e 's/[^0-9.]//g'`
    echo $refresh_rate
fi

#######################
# EOF
#######################